%global _empty_manifest_terminate_build 0   
Name:		python-limits
Version:	3.5.0
Release:	1
Summary:	Rate limiting utilities
License:	MIT
URL:		https://limits.readthedocs.org
Source0:	https://files.pythonhosted.org/packages/54/58/651969d328d212f927249db8b74982fbdf3249df2b6c33a66409f333ceb7/limits-3.5.0.tar.gz
BuildArch:	noarch

%description
limits provides utilities to implement rate limiting using
various strategies and storage backends such as redis & memcached.

%package -n python3-limits
Summary:	Rate limiting utilities
Provides:	python-limits = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-deprecated
Requires:	python3-importlib-resources
Requires:	python3-setuptools
Requires:	python3-packaging
Requires:	python3-typing-extensions
%description -n python3-limits
limits provides utilities to implement rate limiting using
various strategies and storage backends such as redis & memcached.

%package help
Summary:	Development documents and examples for limits
Provides:	python3-limits-doc
%description help
limits provides utilities to implement rate limiting using
various strategies and storage backends such as redis & memcached.

%prep
%autosetup -n limits-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-limits -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jul 5 2023 sunhui <sunhui@kylinos.cn> - 3.5.0-1
- Update package to version 3.5.0

* Thu May 04 2023 wubijie <wubijie@kylinos.cn> - 3.4.0-1
- Update package to version 3.4.0

* Fri Apr 7 2023 wubijie <wubijie@kylinos.cn> - 3.3.1-1
- Update package to version 3.3.1

* Tue Feb 14 2023 wubijie <wubijie@kylinos.cn> - 3.2.0-1
- Update package to version 3.2.0

* Fri Dec 16 2022 lijian <lijian2@kylinos.cn> - 2.7.2-1
- update to upstream version 2.7.2

* Mon Nov 07 2022 wangjunqi <wangjunqi@kylinos.cn> - 2.7.1-1
- Update package to version 2.7.1

* Sat Feb 20 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
